Loading...
Searching...
No Matches
Magick::addNoiseImage Class Reference

## Public Member Functions

| addNoiseImage (const NoiseType noiseType_, const double attenuate_=1.0)
void | operator() (Image &image_) const

## Private Attributes

NoiseType | _noiseType
double | _attenuate

## Detailed Description

Definition at line 81 of file STL.h.

## Constructor & Destructor Documentation

## addNoiseImage()

Magick::addNoiseImage::addNoiseImage | ( | const NoiseType | noiseType_,
|  | const double | attenuate_ = `1.0`
| ) |  |

Definition at line 45 of file STL.cpp.

: _noiseType(noiseType_),
_attenuate(attenuate_)
{
}

## Member Function Documentation

## operator()()

void Magick::addNoiseImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 52 of file STL.cpp.

{
image_.addNoise(_noiseType,_attenuate);
}

## Field Documentation

## _attenuate

double Magick::addNoiseImage::_attenuate

private

Definition at line 90 of file STL.h.

## _noiseType

NoiseType Magick::addNoiseImage::_noiseType

private

Definition at line 89 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp